/// <reference types="react" />

declare interface Secrets<T> {
  loading: boolean
  secrets?: T
  storeSecrets: (secrets: T) => void
}

declare type SettingsKey = {
  key: string
  title: string
  description?: string
}

export declare const SettingsView: ({
  namespace,
  keys,
  onClose,
  title,
}: SettingsViewProps) => JSX.Element

export declare type SettingsViewProps = {
  title: string
  namespace: string
  keys: SettingsKey[]
  onClose: () => void
}

export declare function useSecrets<T>(namespace: string): Secrets<T>

export {}
